LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XGridControl Interface Referencepublished

An interface to a control that displays a tabular data. More...

`import"XGridControl.idl";`

Inheritance diagram for XGridControl:

## Public Member Functions
long | getColumnAtPoint ([in] long X, [in] long Y)
| retrieves the column which a given point belongs to More...
long | getRowAtPoint ([in] long X, [in] long Y)
| retrieves the row which a given point belongs to More...
long | getCurrentColumn ()
| returns the column index of the currently active cell More...
long | getCurrentRow ()
| returns the row index of the currently active cell More...
void | goToCell ([in] long ColumnIndex, [in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException , ::com::sun::star::util::VetoException )
| moves the cursor to the given cell More...

## Detailed Description

An interface to a control that displays a tabular data.

See also
  UnoControlGrid

Since
  OOo 3.3

## Member Function Documentation

## ◆ getColumnAtPoint()

long getColumnAtPoint | ( | [in] long | X,
|  | [in] long | Y
| ) |  |

retrieves the column which a given point belongs to

Parameters

  X | the ordinate of the point, in pixel coordinates.
  Y | the abscissa of the point, in pixel coordinates.

Returns
  the index of the column which the point lies in, or -1 if no column is under the given point.

## ◆ getCurrentColumn()

long getCurrentColumn | ( |  | ) |

returns the column index of the currently active cell

If the grid control's does not contain any cells (which happens if the grid column model does not contain any columns, or if grid data model does not contain any rows), then `-1` is returned.

## ◆ getCurrentRow()

long getCurrentRow | ( |  | ) |

returns the row index of the currently active cell

If the grid control's does not contain any cells (which happens if the grid column model does not contain any columns, or if grid data model does not contain any rows), then `-1` is returned.

## ◆ getRowAtPoint()

long getRowAtPoint | ( | [in] long | X,
|  | [in] long | Y
| ) |  |

retrieves the row which a given point belongs to

Parameters

  X | the ordinate of the point, in pixel coordinates.
  Y | the abscissa of the point, in pixel coordinates.

Returns
  the index of the row which the point lies in, or -1 if no row is under the given point.

## ◆ goToCell()

void goToCell | ( | [in] long | ColumnIndex,
|  | [in] long | RowIndex
| ) |  |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ,
|  | ::com::sun::star::util::VetoException
| ) |  |

moves the cursor to the given cell

Parameters

  ColumnIndex | the column index of the cell to activate.
  RowIndex | the row index of the cell to activate.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if either `ColumnIndex` or `RowIndex` are out of range.
  com::sun::star::util::VetoException | if moving the cursor to another cell is vetoed.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XGridControl.idl